--- title: "Get GTI File Types" slug: "get-gti-file-types" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-gti-file-types" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get GTI File Types This URLs provides the GTI file types. ## Resource URL GET /domain//filereputation/gti/filetypes ## Request Parameters: URL parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | fileFormat | File format | StringList | ## Example **Request** GET [https:///sdkapi/domain/0/filereputation/gti/filetypes](https://%3CNSM_IP%3E/sdkapi/domain/0/filereputation/gti/filetypes) **Response** ``` {       "fileFormat":       [           "apk",           "cpl",           "drv",           "exe",           "ocx",           "pdf",           "scr",           "sys"       ]    } ```   ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1105 | Invalid domain |